@Part[Equivalences, root "TMAN.MSS"]	@Comment{-*-System:TMAN-*-}
@Appendix[Equivalences]
 This is a cross-index for names of some of the more
common primitives from other Lisp dialects which might be similar to
those in @tau[].  In the left hand column is a list of names of
functions found in other Lisps, and in the center are likely topics to
look under in this document for similar functionality.
These function names are drawn from INTERLISP, Lisp 1.5, Lisp-Machine Lisp,
Maclisp, SCHEME, UCI LISP, and Common Lisp.

The more obvious equivalences, for example, predicates where a name
ending in @tc[P] corresponds to a @tau[] name ending in @tc[?],
have been omitted.

@comment{ and where did PRINTF and ACTOR come from?? }
@begin[display, free]

@TabDivide[3]
@i[For topic...@\ Look under...@\ On page...]
@textform[eqv=" @). @\ @Parm<Text> @). @\ @r<@PageRef(@Parm{Text})>"]
@textform[eqv2="@>or@\ @Parm<Text> @). @\ @r<@PageRef(@Parm{Text})>"]
@begin[TC]
ASSOC@eqv[ASS]
CASEQ@eqv[CASE]
CHAR-CODE@eqv[CHAR->ASCII]
CHRCT@EQV[HPOS]
CHRTAB@EQV[STREAM-READ-TABLE]
CLOSURE@eqv[LAMBDA]
CODE-CHAR@eqv[ASCII->CHAR]
CONCAT@eqv[CONCATENATE-SYMBOL]
CONSP@eqv[PAIR?]
CURSORPOS@eqv[HPOS]
@eqv2[VPOS]
DEFFLAVOR@eqv[OBJECT]
DEFMACRO@eqv[DEFINE-SYNTAX]
DEFMETHOD@eqv[OBJECT]
DEFPROP@eqv[PUT]
@comment{DEFSHARP@eqv[DISPATCH-SYNTAX]}
DEFSTRUCT@eqv[DEFINE-STRUCTURE-TYPE]
DEFSUBST@eqv[DEFINE-INTEGRABLE]
DEFUN@eqv[DEFINE]
DEFVAR@eqv[LSET]
DEFVST@eqv[DEFINE-STRUCTURE-TYPE]
DEF-OPEN-CODED@eqv[DEFINE-INTEGRABLE]
DELQ@eqv[DELQ!]
DE@eqv[DEFINE]
DF@eqv[DEFINE-SYNTAX]
DIFFERENCE@eqv[SUBTRACT]
DM@eqv[DEFINE-SYNTAX]
DREMOVE@EQV[DEL!]
DREVERSE@eqv[REVERSE!]
DSKIN@eqv[LOAD]
DSKLOG@eqv[TRANSCRIPT-ON]
DSKOUT@eqv[WITH-OPEN-STREAMS]
ENDP@eqv[NULL-LIST?]
EQUAL@eqv[ALIKEV?]
EXPANDMACRO@eqv[MACRO-EXPAND]
EXPLODE@eqv[STRING->LIST]
FIXP@eqv[INTEGER?]
FLATC@eqv[DISPLAYWIDTH]
FLATSIZE@eqv[PRINTWIDTH]
FUNCTION@eqv[LAMBDA]
GENSYM@eqv[GENERATE-SYMBOL]
GETCHARN@eqv[STRING-ELT]
GETCHAR@eqv[STRING-ELT]
GET-PNAME@eqv[SYMBOL->STRING]
INTERN@eqv[STRING->SYMBOL]
IOTA@eqv[WITH-OPEN-STREAMS]
LABEL@eqv[LABELS]
LAST@eqv[LASTCDR]
LIST*@eqv[CONS*]
LITATOM@eqv[SYMBOL?]
LOCF@eqv[LOCATIVE]
MAKNAM@eqv[STRING->SYMBOL]
MAPATOMS@eqv[WALK-SYMBOLS]
MAPCAR@eqv[MAP]
MAPC@eqv[WALK]
MAPLIST@eqv[MAPCDR]
MAP@eqv[WALKCDR]
MCONS@eqv[CONS*]
MEMBER@eqv[MEM]
MINUSP@eqv[NEGATIVE?]
MINUS@eqv[NEGATE]
MSG@eqv[FORMAT]
NCONC@eqv[APPEND!]
NCONS@eqv[LIST]
NRECONC@eqv[APPEND-REVERSE!]
NREVERSE@eqv[REVERSE!]
NSUBSTRING@eqv[STRING-SLICE]
NTH@eqv[NTHCDR]
NUMBERP@eqv[NUMBER?]
PLUSP@eqv[POSITIVE?]
PLUS@eqv[ADD]
PNGET@eqv[SYMBOL->STRING]
PRINC@eqv[DISPLAY]
PRINC@eqv[WRITES]
PRIN1@eqv[PRINT]
@eqv2[WRITE]
PROGN@eqv[BLOCK]
PROG1@eqv[BLOCK0]
PUTPROP@eqv[PUT]
QUOTIENT@eqv[DIVIDE]
READCH@eqv[READC]
READLINE@eqv[READ-LINE]
RECORD-TYPE@eqv[DEFINE-STRUCTURE-TYPE]
REMOVE@EQV[DEL]
REMQ@eqv[DELQ]
RETURN@eqv[CATCH]
RPLACA@eqv[CAR]
RPLACD@eqv[CDR]
SELECTQ@eqv[CASE]
SETF@eqv[SET]
SETQ@eqv[SET]
@eqv2[LSET]
SOME@eqv[ANYCDR]
SPECIAL@eqv[BIND]
SPRINT@eqv[PRETTY-PRINT]
SPRINTER@eqv[PRINT]
SUBST@eqv[SUBSTV]
SUB1@eqv[SUBTRACT1]
TAB@eqv[HPOS]
TERPRI@eqv[FRESH-LINE]
@eqv2[NEWLINE]
THROW@eqv[CATCH]
TIMES@eqv[MULTIPLY]
TTYMSG@eqv[FORMAT]
TYIPEEK@eqv[PEEKC]
TYI@eqv[READC]
TYO@eqv[WRITEC]
ZEROP@eqv[ZERO?]
1-@eqv[SUBTRACT1]
\@eqv[REMAINDER]
//@eqv[DIV]
@eqv2[DIVIDE]
*CATCH@eqv[CATCH]
*THROW@eqv[CATCH]
:=@eqv[SET]
@eqv2[MODIFY]
$EOF$@eqv[*EOF*]
^G@eqv[RESET]
@end[TC]
@end[Display]
@comment{ Must be labelled manually, later...
GE@eqv[>=]
GT@eqv[>]
LE@eqv[<=]
LESSP@eqv[<]
LT@eqv[<]
READLIST@eqv[READ-FROM-STRING]
REMPROP@EQV[REM]
-I@eqv[-1+]
+I@eqv[1+]
}
