@Comment[ Copyright (C) 1979, 1980  UNILOGIC, Ltd. ]
@Comment[  Change log: see last page of file  ]

@Marker(Make,TManual,Press)

@Define(BodyStyle,Font BodyFont,Spacing 1.5,Spread 0.5)
@Define(NoteStyle,Font SmallBodyFont,FaceCode R,Spacing 1)
@FontFamily(Times Roman 10)

@Enable(Outline,Index,Contents)
@String(ContentsPage='1')
@Send(Contents "@NewPage(0)@Set(Page=ContentsPage)@Style(PageNumber <@i>)")
@Style(DoubleSided,BindingMargin=0.3inch)
@Send(Contents "@PrefaceSection(Table of Contents)")
@send(#Index    "@UnNumbered(Index)",
      #Index    "@Begin(IndexEnv)")
@SendEnd(#Index "@End(IndexEnv)")

@Define (HDX,Hyphenation off,
        LeftMargin 0,Indent 0,Fill,Spaces compact,Above 1,Below 0,
          break,need 4,Justification Off)
@Define (Hd0,Use HdX,Font TitleFont5,FaceCode R,Above 1inch,Below 0.5inch)
@Define(Hd1,Use HdX,Font TitleFont5,FaceCode R,Above .5inch,PageBreak UntilOdd)
@Define(HD1A=HD1,Centered)
@Define(Hd2,Use HdX,Font TitleFont3,FaceCode R,Above 0.4inch)
@Define(Hd3,Use HdX,Font TitleFont3,FaceCode R,Above 0.4inch)
@Define(Hd4,Use HdX,Font TitleFont3,FaceCode R,Above 0.3inch)
@Define(TcX,LeftMargin 5,Indent -5,RightMargin 5,Fill,Spaces compact,
        Need 4,
        Above 0,Spacing 1,Below 0,Break,Spread 0,Justification off)
@Define(Tc0=TcX,Font TitleFont3,FaceCode R)
@Define(Tc1=TcX,Font TitleFont1,FaceCode R,Above 0.1inch,
        Below 0.1inch,Need 1inch)
@Define(Tc2=TcX,LeftMargin 8,Font TitleFont0,FaceCode R)
@Define(Tc3=TcX,LeftMargin 12,Font TitleFont0,FaceCode R)
@Define(Tc4=TcX,LeftMargin 16,Font TitleFont0,FaceCode R)
@Counter(MajorPart,TitleEnv HD0,ContentsEnv tc0,Numbered [@I],
          IncrementedBy Use,Announced)
@Counter(Chapter,TitleEnv HD1,ContentsEnv tc1,Numbered [@1.],
          IncrementedBy Use,Referenced [@1],Announced)
@Counter(Appendix,TitleEnv HD1,ContentsEnv tc1,Numbered [@I.],
         ContentsForm "@Tc1(Appendix @parm(referenced). @rfstr(@parm(page))@parm(Title))",
         TitleForm "@Hd1(@=Appendix @parm(referenced)@*@=@Parm(Title))",

          IncrementedBy,Referenced [@I],Announced,Alias Chapter)
@Counter(UnNumbered,TitleEnv HD1,ContentsEnv tc1,Announced,Alias Chapter)
@Counter(Section,Within Chapter,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(AppendixSection,Within Appendix,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(SubSection,Within Section,TitleEnv HD3,ContentsEnv tc3,
          Numbered [@#@:.@1.],IncrementedBy Use,Referenced [@#@:.@1])
@Counter(AppendixSubsec,Within AppendixSection,TitleEnv Hd3,ContentsEnv Tc3,
        Numbered [@#@:.@1.],IncrementedBy USe,Referenced [@#@:.@1])
@Counter(Paragraph,Within SubSection,TitleEnv HD4,ContentsEnv tc4,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use)

@Counter(PrefaceSection,TitleEnv HD1A,Alias Chapter)
@Define(IndexEnv,Break,CRBreak,Fill,BlankLines Kept,Font SmallBodyFont,
        FaceCode R,Spread 0,Spacing 1,Spaces Kept,LeftMargin 18,Indent -8)

@LibraryFile(Figures)
@LibraryFile(Math)
@LibraryFile(TitlePage)

@Modify(EquationCounter,Within Chapter)
@Modify(TheoremCounter,Within Chapter)

@Equate(Sec=Section,Subsec=SubSection,Chap=Chapter,Para=Paragraph,
        SubSubSec=Paragraph,AppendixSec=AppendixSection)
@Begin(Text,Indent 1Quad,LeftMargin 1inch,TopMargin 1inch,BottomMargin 1inch,
        LineWidth 6.5inches,Spread 0.075inch,
        Use BodyStyle,Justification,FaceCode R,Spaces Compact)
@Set(Page=0)

@PageHeading(Even,Left "@value(Page)")
@PageHeading(Odd,Right "@value(Page)")
@Marker(Make,TManual,ReGIS)
@FontFamily(GGfont)
@LibraryFile(GIGIcolors)
@Define(BodyStyle,Font BodyFont,Spacing 1.5,Spread 0.8)
@Define(NoteStyle,Font BodyFont,Size -1,FaceCode R,Spacing 1)

@Enable(Outline,Index,Contents)
@String(ContentsPage='1')
@Send(Contents "@NewPage(0)@Set(Page=ContentsPage)@Style(PageNumber <@i>)")
@Style(SingleSided)
@Send(Contents "@PrefaceSection(Table of Contents)")
@send(#Index    "@UnNumbered(Index)",
      #Index    "@Begin(IndexEnv)")
@SendEnd(#Index "@End(IndexEnv)")

@Define (HDX,Hyphenation off,
          LeftMargin 0,Indent 0,Fill,Spaces compact,Above 1,Below 0,
          break,need 4,Justification Off)
@Define (Hd0,Use B,Use HdX,Font BodyFont,Size +2,
          Above 1inch,Below 0.5inch,color HD0color)
@Define(Hd1,Use B,Use HdX,Font BodyFont,Size +2,Above .5inch,Below .25inch,
          PageBreak UntilOdd,color HD1color)
@Define(HD1A=HD1,Centered)
@Define(Hd2,Use B,Use HdX,Font BodyFont,Size +1,Above 0.4inch,
        Below 0.2inch,Color HD2color)
@Define(Hd3,Use B,Use HdX,Font BodyFont,Size +1,Above 0.4inch,
        Below 0.2inch,Color HD3color)
@Define(Hd4,Use B,Use HdX,Font BodyFont,Size +1,Above 0.3inch,
        Below 0.15inch,Color HD4color)

@Define(TcX,LeftMargin 5,Indent -5,RightMargin 5,Fill,Spaces compact,Need 4,
        Above 0,Spacing 1,Below 0,Break,Spread 0,Justification off)
@Define(Tc0=TcX,Use B,Font BodyFont,Size +1,Color TC0color)
@Define(Tc1=TcX,Use B,LeftMargin 4,Font BodyFont,Above 0.1inch,
        Below 0.1inch,Need 1inch,Color TC1color)
@Define(Tc2=TcX,LeftMargin 8,Font BodyFont,FaceCode R,Color TC2color)
@Define(Tc3=TcX,LeftMargin 12,Font BodyFont,FaceCode R,Color TC3color)
@Define(Tc4=TcX,LeftMargin 16,Font BodyFont,FaceCode R,Color TC4color)
@Counter(MajorPart,TitleEnv HD0,ContentsEnv tc0,Numbered [@I],
          IncrementedBy Use,Announced)
@Counter(Chapter,TitleEnv HD1,ContentsEnv tc1,Numbered [@1.],
          IncrementedBy Use,Referenced [@1],Announced)
@Counter(Appendix,TitleEnv HD1,ContentsEnv tc1,Numbered [@I.],
          ContentsForm
          "@Tc1(Appendix @parm(referenced). @rfstr(@parm(page))@parm(Title))",
          TitleForm "@Hd1(@=Appendix @parm(referenced)@*@=@Parm(Title))",
          IncrementedBy,Referenced [@I],Announced,Alias Chapter)
@Counter(UnNumbered,TitleEnv HD1,ContentsEnv tc1,Announced,Alias Chapter)
@Counter(Section,Within Chapter,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(AppendixSection,Within Appendix,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(SubSection,Within Section,TitleEnv HD3,ContentsEnv tc3,
          Numbered [@#@:.@1.],IncrementedBy Use,Referenced [@#@:.@1])
@Counter(AppendixSubsec,Within AppendixSection,TitleEnv Hd3,ContentsEnv Tc3,
        Numbered [@#@:.@1.],IncrementedBy Use,Referenced [@#@:.@1])
@Counter(Paragraph,Within SubSection,TitleEnv HD4,ContentsEnv tc4,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use)

@Counter(PrefaceSection,TitleEnv HD1A,Alias Chapter)
@Define(IndexEnv,Break,CRBreak,Fill,BlankLines Kept,Font BodyFont,Size 1,
        FaceCode R,Spread 0,Spacing 1,Spaces Kept,LeftMargin 18,Indent -8)

@LibraryFile(Figures)
@LibraryFile(Math)
@LibraryFile(TitlePage)

@Modify(EquationCounter,Within Chapter)
@Modify(TheoremCounter,Within Chapter)

@Equate(Sec=Section,Subsec=SubSection,Chap=Chapter,Para=Paragraph,
        SubSubSec=Paragraph,AppendixSec=AppendixSection)
@Begin(Text,Use BodyStyle,
        Indent 1Quad,Spread 0.075inch, Size 1,
        LeftMargin 0.5in,RightMargin 0.5in,TopMargin 1inch,BottomMargin .6inch,
        Justification,Spaces Compact,Font BodyFont,FaceCode R)
@Set(Page=0)


@PageHeading(Right "@value(Page)")
@Marker(Make,TManual,X9700)

@Define(BodyStyle,Font BodyFont,Spacing 1.5,Spread 0.8)
@Define(NoteStyle,Font SmallBodyFont,FaceCode R,Spacing 1)
@FontFamily(Times Roman 10)

@Enable(Outline,Index,Contents)
@String(ContentsPage='1')
@Send(Contents "@NewPage(0)@Set(Page=ContentsPage)@Style(PageNumber <@i>)")
@Style(DoubleSided,BindingMargin=0.3inch)
@Send(Contents "@PrefaceSection(Table of Contents)")
@send(#Index    "@UnNumbered(Index)",
      #Index    "@Begin(IndexEnv)")
@SendEnd(#Index "@End(IndexEnv)")

@Define (HDX,Hyphenation off,
        LeftMargin 0,Indent 0,Fill,Spaces compact,Above 1,Below 0,
          break,need 4,Justification Off)
@Define (Hd0,Use HdX,Font TitleFont5,FaceCode R,
        Above 1inch,Below 0.5inch,capitalized)
@Define(Hd1,Use HdX,Font TitleFont5,FaceCode R,
        Above .5inch,PageBreak UntilOdd,capitalized)
@Define(HD1A=HD1,Centered)
@Define(Hd2,Use HdX,Font TitleFont3,FaceCode R,Above 0.4inch)
@Define(Hd3,Use HdX,Font TitleFont3,FaceCode R,Above 0.4inch)
@Define(Hd4,Use HdX,Font TitleFont3,FaceCode R,Above 0.3inch)
@Define(TcX,LeftMargin 5,Indent -5,RightMargin 5,Fill,Spaces compact,
        Need 4,
        Above 0,Spacing 1,Below 0,Break,Spread 0,Justification off)
@Define(Tc0=TcX,Font TitleFont3,FaceCode R)
@Define(Tc1=TcX,Font TitleFont1,FaceCode R,Above 0.1inch,
        Below 0.1inch,Need 1inch)
@Define(Tc2=TcX,LeftMargin 8,Font TitleFont0,FaceCode R)
@Define(Tc3=TcX,LeftMargin 12,Font TitleFont0,FaceCode R)
@Define(Tc4=TcX,LeftMargin 16,Font TitleFont0,FaceCode R)
@Counter(MajorPart,TitleEnv HD0,ContentsEnv tc0,Numbered [@I],
          IncrementedBy Use,Announced)
@Counter(Chapter,TitleEnv HD1,ContentsEnv tc1,Numbered [@1.],
          IncrementedBy Use,Referenced [@1],Announced)
@Counter(Appendix,TitleEnv HD1,ContentsEnv tc1,Numbered [@I.],
         ContentsForm "@Tc1(Appendix @parm(referenced). @rfstr(@parm(page))@parm(Title))",
         TitleForm "@Hd1(@=Appendix @parm(referenced)@*@=@Parm(Title))",

          IncrementedBy,Referenced [@I],Announced,Alias Chapter)
@Counter(UnNumbered,TitleEnv HD1,ContentsEnv tc1,Announced,Alias Chapter)
@Counter(Section,Within Chapter,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(AppendixSection,Within Appendix,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(SubSection,Within Section,TitleEnv HD3,ContentsEnv tc3,
          Numbered [@#@:.@1.],IncrementedBy Use,Referenced [@#@:.@1])
@Counter(AppendixSubsec,Within AppendixSection,TitleEnv Hd3,ContentsEnv Tc3,
        Numbered [@#@:.@1.],IncrementedBy USe,Referenced [@#@:.@1])
@Counter(Paragraph,Within SubSection,TitleEnv HD4,ContentsEnv tc4,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use)

@Counter(PrefaceSection,TitleEnv HD1A,Alias Chapter)
@Define(IndexEnv,Break,CRBreak,Fill,BlankLines Kept,Font SmallBodyFont,
        FaceCode R,Spread 0,Spacing 1,Spaces Kept,LeftMargin 18,Indent -8)

@Comment[@libraryfile(X9700TempTOC)
        @libraryfile(X9700TempDEV)]
@LibraryFile(Figures)
@LibraryFile(Math)
@LibraryFile(TitlePage)

@Modify(EquationCounter,Within Chapter)
@Modify(TheoremCounter,Within Chapter)

@Equate(Sec=Section,Subsec=SubSection,Chap=Chapter,Para=Paragraph,
        SubSubSec=Paragraph,AppendixSec=AppendixSection)
@Begin(Text,Indent 1Quad,LeftMargin 1inch,TopMargin 1inch,BottomMargin 1inch,
        LineWidth 6.5inches,Spread 0.075inch,
        Use BodyStyle,Justification,FaceCode R,Spaces Compact)
@Set(Page=0)

@PageHeading(Even,Left "@value(Page)")
@PageHeading(Odd,Right "@value(Page)")
@Marker(Make,TManual,RobotTypewriter)
@Define(BodyStyle,Spacing 1.7,Spread 0.8)
@Define(TitleStyle,Spacing 1,Spread 0)
@Define(NoteStyle,Spacing 1,Spread 0.3)
@Typewheel(Elite 12)

@Enable(Outline,Index,Contents)
@Style(DoubleSided,BindingMargin=0.3inch)
@String(ContentsPage='1')
@Send(Contents "@NewPage(0)@Set(Page=ContentsPage)@Style(PageNumber <@i>)")
@Send(Contents "@PrefaceSection(Table of Contents)")
@send(#Index    "@UnNumbered(Index)",
      #Index    "@Begin(IndexEnv)")
@SendEnd(#Index "@End(IndexEnv)")

@Define (HDX,Hyphenation off,
        LeftMargin 0,Indent 0,Fill,Spaces compact,Above 1,Below 0,
          break,need 4,Justification Off)
@Define (Hd0,Use HdX,Above 1inch,Below 0.5inch)
@Define(Hd1,Use HdX,,Above .5inch,PageBreak UntilOdd)
@Define(HD1A=HD1,Centered)
@Define(Hd2,Use HdX,Above 0.4inch)
@Define(Hd3,Use HdX,Above 0.4inch)
@Define(Hd4,Use HdX,Above 0.3inch)
@Define(TcX,LeftMargin 5,Indent -5,RightMargin 5,Fill,Spaces compact,
        Above 0,Spacing 1,Below 0,Break,Spread 0,Justification off)
@Define(Tc0=TcX)
@Define(Tc1=TcX,Above 0.2,Below 0.2,Need 1inch)
@Define(Tc2=TcX,LeftMargin 5)
@Define(Tc3=TcX,LeftMargin 10)
@Define(Tc4=TcX,LeftMargin 15)
@Counter(MajorPart,TitleEnv HD0,ContentsEnv tc0,Numbered [@I],
          IncrementedBy Use,Announced)
@Counter(Chapter,TitleEnv HD1,ContentsEnv tc1,Numbered [@1.],
          IncrementedBy Use,Referenced [@1],Announced)
@Counter(Appendix,TitleEnv HD1,ContentsEnv tc1,Numbered [@I.],
          IncrementedBy,Referenced [@I],Announced,Alias Chapter)
@Counter(UnNumbered,TitleEnv HD1,ContentsEnv tc1,Announced,Alias Chapter)
@Counter(Section,Within Chapter,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(AppendixSection,Within Appendix,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(SubSection,Within Section,TitleEnv HD3,ContentsEnv tc3,
          Numbered [@#@:.@1.],IncrementedBy Use,Referenced [@#@:.@1])
@Counter(AppendixSubsec,Within AppendixSection,TitleEnv Hd3,ContentsEnv Tc3,
        Numbered [@#@:.@1.],IncrementedBy USe,Referenced [@#@:.@1])
@Counter(Paragraph,Within SubSection,TitleEnv HD4,ContentsEnv tc4,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use)

@Counter(PrefaceSection,TitleEnv HD1A,Alias Chapter)
@Define(IndexEnv,Break,CRBreak,Fill,BlankLines Kept,
        Spread 0,Spacing 1,Spaces Kept,LeftMargin 18,Indent -8)

@LibraryFile(Figures)
@LibraryFile(Math)
@LibraryFile(TitlePage)

@Modify(EquationCounter,Within Chapter)
@Modify(TheoremCounter,Within Chapter)

@Equate(Sec=Section,Subsec=SubSection,Chap=Chapter,Para=Paragraph,
        SubSubSec=Paragraph,AppendixSec=AppendixSection)
@Begin(Text,Indent 3,Use BodyStyle,LeftMargin 1inch,TopMargin 1inch,
        BottomMargin 1inch,LineWidth 6.5inches,Justification,
        Spaces Compact,Font CharDef,FaceCode R)
@set(page=0)

@PageHeading(Even,Left "@value(Page)")
@PageHeading(Odd,Right "@value(Page)")
@Marker(Make,TManual,OmniTech)

@Define(BodyStyle,Font BodyFont,Spacing 1.3,Spread 0.8,size 10,indent 2 )
@Define(NoteStyle,Font BodyFont,FaceCode R,Spacing 1,size 8)
@FontFamily(Helvetica)

@Enable(Outline,Index,Contents)
@String(ContentsPage='1')
@Send(Contents "@NewPage(0)@Set(Page=ContentsPage)@Style(PageNumber <@i>)")
@Style(DoubleSided,BindingMargin=0.3inch)
@Send(Contents "@PrefaceSection(Table of Contents)")
@send(#Index    "@UnNumbered(Index)",
      #Index    "@Begin(IndexEnv)")
@SendEnd(#Index "@End(IndexEnv)")

@Define (HDX,Hyphenation off,
        LeftMargin 0,Indent 0,Fill,Spaces compact,Above 1,Below 0,
          break,need 4,Justification Off)
@Define (Hd0,Use HdX,Font TitleFont, Size  20,Facecode R,Above 1inch,Below 0.5inch)
@Define(Hd1,Use HdX,Font TitleFont,size 16,Facecode R,Above .5inch,PageBreak UntilOdd)
@Define(HD1A=HD1,Centered)
@Define(Hd2,Use HdX,Font TitleFont,size 14,Facecode R,Above 0.4inch)
@Define(Hd3,Use HdX,Font TitleFont,Size 12,Facecode R,Above 0.4inch)
@Define(Hd4,Use HdX,Font TitleFont,size 12,Facecode R,Above 0.3inch)
@Define(TcX,LeftMargin 5,Indent -5,RightMargin 5,Fill,Spaces compact,
        Need 4,
        Above 0,Spacing 1,Below 0,Break,Spread 0,Justification off)
@Define(Tc0=TcX,Font TitleFont,size 14,Facecode R)
@Define(Tc1=TcX,Font TitleFont,size 12,Facecode R,Above 0.1inch,
        Below 0.1inch,Need 1inch)
@Define(Tc2=TcX,LeftMargin 8,Font TitleFont,Size 10,Facecode R)
@Define(Tc3=TcX,LeftMargin 12,Font TitleFont,size 10,Facecode R)
@Define(Tc4=TcX,LeftMargin 16,Font TitleFont,size 10,Facecode R)
@Counter(MajorPart,TitleEnv HD0,ContentsEnv tc0,Numbered [@I],
          IncrementedBy Use,Announced)
@Counter(Chapter,TitleEnv HD1,ContentsEnv tc1,Numbered [@1.],
          IncrementedBy Use,Referenced [@1],Announced)
@Counter(Appendix,TitleEnv HD1,ContentsEnv tc1,Numbered [@I.],
         ContentsForm "@Tc1(Appendix @parm(referenced). @rfstr(@parm(page))@parm(Title))",
         TitleForm "@Hd1(@=Appendix @parm(referenced)@*@=@Parm(Title))",

          IncrementedBy,Referenced [@I],Announced,Alias Chapter)
@Counter(UnNumbered,TitleEnv HD1,ContentsEnv tc1,Announced,Alias Chapter)
@Counter(Section,Within Chapter,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(AppendixSection,Within Appendix,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(SubSection,Within Section,TitleEnv HD3,ContentsEnv tc3,
          Numbered [@#@:.@1.],IncrementedBy Use,Referenced [@#@:.@1])
@Counter(AppendixSubsec,Within AppendixSection,TitleEnv Hd3,ContentsEnv Tc3,
        Numbered [@#@:.@1.],IncrementedBy USe,Referenced [@#@:.@1])
@Counter(Paragraph,Within SubSection,TitleEnv HD4,ContentsEnv tc4,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use)

@Counter(PrefaceSection,TitleEnv HD1A,Alias Chapter)
@Define(IndexEnv,Break,CRBreak,Fill,BlankLines Kept,Font BodyFont,
        size 8,
        FaceCode R,Spread 0,Spacing 1,Spaces Kept,LeftMargin 18,Indent -8)

@LibraryFile(Figures)
@LibraryFile(Math)
@LibraryFile(TitlePage)

@Modify(EquationCounter,Within Chapter)
@Modify(TheoremCounter,Within Chapter)

@Equate(Sec=Section,Subsec=SubSection,Chap=Chapter,Para=Paragraph,
        SubSubSec=Paragraph,AppendixSec=AppendixSection)
@Begin(Text,Indent 2,LeftMargin 1inch,TopMargin 1inch,BottomMargin 1inch,
        LineWidth 6.5inches,Spread 0.075inch,
        Use BodyStyle,Justification,FaceCode R,Spaces Compact)
@Set(Page=0)

@PageHeading(Even,Left "@value(Page)")
@PageHeading(Odd,Right "@value(Page)")
@Marker(Make,TManual,File,PagedFile,CRT)
@Define(BodyStyle,Spacing 1)
@Define(TitleStyle,Spacing 1)
@Define(NoteStyle,Spacing 1)

@Enable(Outline,Index,Contents)
@String(ContentsPage='1')
@Send(Contents "@NewPage(0)@Set(Page=ContentsPage)@Style(PageNumber <@i>)")
@Send(Contents "@PrefaceSection(Table of Contents)")
@send(#Index    "@UnNumbered(Index)",
      #Index    "@Begin(IndexEnv)")
@SendEnd(#Index "@End(IndexEnv)")

@Define (HDX,Hyphenation off,
        LeftMargin 0,Indent 0,Fill,Spaces compact,Above 1,Below 0,
          break,need 4,Justification Off)
@Define (Hd0,Use HdX,Above 1inch,Below 0.5inch)
@Define(Hd1,Use HdX,Above 3,PageBreak Before)
@Define(HD1A=HD1,Centered)
@Define(Hd2,Use HdX,Above 1)
@Define(Hd3,Use HdX,Above 3)
@Define(Hd4,Use HdX,Above 2)
@Define(TcX,LeftMargin 5,Indent -5,RightMargin 5,Fill,Spaces compact,
        Above 0,Spacing 1,Below 0,Break,Spread 0,Justification off)
@Define(Tc0=TcX)
@Define(Tc1=TcX,Above 1,Below 1,Need 1inch)
@Define(Tc2=TcX,LeftMargin 5,Need 1inch)
@Define(Tc3=TcX,LeftMargin 10)
@Define(Tc4=TcX,LeftMargin 15)
@Counter(MajorPart,TitleEnv HD0,ContentsEnv tc0,Numbered [@I],
          IncrementedBy Use,Announced)
@Counter(Chapter,TitleEnv HD1,ContentsEnv tc1,Numbered [@1.],
          IncrementedBy Use,Referenced [@1],Announced)
@Counter(Appendix,TitleEnv HD1,ContentsEnv tc1,Numbered [@I.],
          IncrementedBy,Referenced [@I],Announced,Alias Chapter)
@Counter(UnNumbered,TitleEnv HD1,ContentsEnv tc1,Announced,Alias Chapter)
@Counter(Section,Within Chapter,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(AppendixSection,Within Appendix,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(SubSection,Within Section,TitleEnv HD3,ContentsEnv tc3,
          Numbered [@#@:.@1.],IncrementedBy Use,Referenced [@#@:.@1])
@Counter(AppendixSubsec,Within AppendixSection,TitleEnv Hd3,ContentsEnv Tc3,
        Numbered [@#@:.@1.],IncrementedBy USe,Referenced [@#@:.@1])
@Counter(Paragraph,Within SubSection,TitleEnv HD4,ContentsEnv tc4,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use)

@Counter(PrefaceSection,TitleEnv HD1A,Alias Chapter)
@Define(IndexEnv,Break,CRBreak,Fill,BlankLines Kept,
        Spread 0,Spacing 1,Spaces Kept,LeftMargin 18,Indent -8)

@LibraryFile(Figures)
@LibraryFile(Math)
@LibraryFile(TitlePage)

@Modify(EquationCounter,Within Chapter)
@Modify(TheoremCounter,Within Chapter)

@Equate(Sec=Section,Subsec=SubSection,Chap=Chapter,Para=Paragraph,
        SubSubSec=Paragraph,AppendixSec=AppendixSection)
@Begin(Text,Indent 2,Spread 1,Use BodyStyle,LineWidth 7.9inches,
        Spaces Compact,
        Justification,Font CharDef,FaceCode R)
@set(page=0)

@PageHeading(Even,Left "@value(Page)")
@PageHeading(Odd,Right "@value(Page)")
@Marker(Make,TManual,Imagen)

@FontFamily(CM0)
@Define(BodyStyle,Font BodyFont,Spacing 1.3,Spread 0.5,Size 11,
        Indent 2)
@Define(NoteStyle,Font BodyFont,FaceCode R,Spacing 1,Size 9,
        Indent 2)

@Generate(Outline,Index,Contents)
@String(ContentsPage='1')
@Send(Contents "@NewPage(0)@Set(Page=ContentsPage)@Style(PageNumber <@i>)")
@Style(DoubleSided,BindingMargin=0.3inch)
@Send(Contents "@PrefaceSection(Table of Contents)")
@send(#Index    "@UnNumbered(Index)",
      #Index    "@Begin(IndexEnv)")
@SendEnd(#Index "@End(IndexEnv)")

@Define(HDX,Hyphenation off,
        LeftMargin 0,Indent 0,Fill,Spaces compact,Above 1,Below 0,
          break,Need 4,Justification Off)
@Define(Hd0,Use HdX,Font TitleFont,Size +8,FaceCode B,Above 0.6inch,
        PageBreak UntilOdd)
@Define(Hd1,Use HdX,Font TitleFont,Size +4,FaceCode B,Above 0.5inch,
        PageBreak UntilOdd)
@Define(Hd1A=Hd1,Centered)
@Define(Hd2,Use HdX,Font TitleFont,Size +2,FaceCode B,Above 0.4inch)
@Define(Hd3,Use HdX,Font TitleFont,Size +1,FaceCode B,Above 0.4inch)
@Define(Hd4,Use HdX,Font TitleFont,Size +0,FaceCode B,Above 0.3inch)
@Define(TcX,LeftMargin 5,Indent -5,RightMargin 5,Fill,Spaces compact,
        Need 4,
        Above 0,Spacing 1,Below 0,Break,Spread 0,Justification off)
@Define(Tc0=TcX,LeftMargin 0,Font TitleFont,Size +0,FaceCode R)
@Define(Tc1=TcX,LeftMargin 4,Font TitleFont,Size +0,FaceCode R)
@Define(Tc2=TcX,LeftMargin 8,Font TitleFont,Size +0,FaceCode R)
@Define(Tc3=TcX,LeftMargin 12,Font TitleFont,Size +0,FaceCode R)
@Define(Tc4=TcX,LeftMargin 16,Font TitleFont,Size +0,FaceCode R)
@Counter(MajorPart,TitleEnv HD0,Numbered [@I],
         ContentsForm
"@begin(tc0)@parm(title)@).  @\@rfstr(@parm(page))@end(tc0)",
          IncrementedBy Use, Announced)
@Counter(Chapter,TitleEnv HD1,Numbered [@1.],
         ContentsForm
"@begin(tc1)@parm(referenced) @parm(title)@).  @\@rfstr(@parm(page))@end(tc1)",
          IncrementedBy Use,Referenced [@1],Announced)
@Counter(Appendix,Numbered [@I.],
         ContentsForm
"@begin(tc1)Appendix @parm(referenced) @parm(title)@).  @\@rfstr(@parm(page))@parm(Title)@end(tc1)",
         TitleForm "@Hd1(@=Appendix @parm(referenced)@*@=@Parm(Title))",
          IncrementedBy,Referenced [@I],Announced,Alias Chapter)
@Counter(UnNumbered,TitleEnv HD1,Announced,Alias Chapter,
         ContentsForm
"@begin(tc1)@parm(title)@).  @\@rfstr(@parm(page))@end(tc1)")
@Counter(Section,Within Chapter,TitleEnv HD2,
         ContentsForm
"@begin(tc2)@parm(referenced) @parm(title)@).  @\@rfstr(@parm(page))@end(tc2)",
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(AppendixSection,Within Appendix,TitleEnv HD2,
         ContentsForm
"@begin(tc2)@parm(referenced) @parm(title)@).  @\@rfstr(@parm(page))@end(tc2)",
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(SubSection,Within Section,TitleEnv HD3,
         ContentsForm
"@begin(tc3)@parm(referenced) @parm(title)@).  @\@rfstr(@parm(page))@end(tc3)",
          Numbered [@#@:.@1.],IncrementedBy Use,Referenced [@#@:.@1])
@Counter(Paragraph,Within SubSection,TitleEnv HD4,
         ContentsForm
"@begin(tc4)@parm(referenced) @parm(title)@).  @\@rfstr(@parm(page))@end(tc4)",
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use)
@Counter(PrefaceSection,TitleEnv HD1A,Alias Chapter)
@Define(IndexEnv,Break,CRBreak,Fill,BlankLines Kept,Font BodyFont,Size 9,
        FaceCode R,Spread 0,Spacing 1,Spaces Kept,LeftMargin 18,Indent -8)

@LibraryFile(Figures)
@LibraryFile(Math)
@LibraryFile(TitlePage)

@Modify(EquationCounter,Within Chapter)
@Modify(TheoremCounter,Within Chapter)

@Equate(Sec=Section,Subsec=SubSection,Para=Paragraph,
        SubSubSec=Paragraph)
@Begin(Text,Indent 1Quad,LeftMargin 1.0inch,TopMargin 1.0inch,
        BottomMargin 1.0inch,
        LineWidth 6.5inches,
        Use BodyStyle,Justification,FaceCode R,Spaces Compact)
@Set(Page=0)
@PageHeading(Even,Left "@value(Page)")
@PageHeading(Odd,Right "@value(Page)")
@Marker(Make,TManual,GSI)

@FontFamily(CMU 4)
@Define(BodyStyle,Font BodyFont,Spacing 1.3,Spread 0.8,Size 10,
        Indent 2)
@Define(NoteStyle,Font BodyFont,FaceCode R,Spacing 1,Size 8,
        Indent 2)

@Generate(Outline,Index,Contents)
@String(ContentsPage='1')
@Send(Contents "@NewPage(0)@Set(Page=ContentsPage)@Style(PageNumber <@i>)")
@Style(DoubleSided,BindingMargin=0.3inch)
@Send(Contents "@PrefaceSection(Table of Contents)")
@send(#Index    "@UnNumbered(Index)",
      #Index    "@Begin(IndexEnv)")
@SendEnd(#Index "@End(IndexEnv)")

@Define (HDX,Hyphenation off,
        LeftMargin 0,Indent 0,Fill,Spaces compact,Above 1,Below 0,
          break,Need 4,Justification Off)
@Define(Hd0,Use HdX,Font TitleFont,Size +8,FaceCode B,Above 0.6inch,
        PageBreak UntilOdd)
@Define(Hd1,Use HdX,Font TitleFont,Size +4,FaceCode B,Above 0.5inch,
        PageBreak UntilOdd)
@Define(Hd1A=Hd1,Centered)
@Define(Hd2,Use HdX,Font TitleFont,Size +2,FaceCode B,Above 0.4inch)
@Define(Hd3,Use HdX,Font TitleFont,Size +1,FaceCode B,Above 0.4inch)
@Define(Hd4,Use HdX,Font TitleFont,Size +0,FaceCode B,Above 0.3inch)
@Define(TcX,LeftMargin 5,Indent -5,RightMargin 5,Fill,Spaces compact,
        Need 4,
        Above 0,Spacing 1,Below 0,Break,Spread 0,Justification off)
@Define(Tc0=TcX,LeftMargin 0,Font TitleFont,Size +4,FaceCode R)
@Define(Tc1=TcX,LeftMargin 4,Font TitleFont,Size +2,FaceCode R)
@Define(Tc2=TcX,LeftMargin 8,Font TitleFont,Size +1,FaceCode R)
@Define(Tc3=TcX,LeftMargin 12,Font TitleFont,Size +0,FaceCode R)
@Define(Tc4=TcX,LeftMargin 16,Font TitleFont,Size +0,FaceCode R)
@Counter(MajorPart,TitleEnv HD0,ContentsEnv Tc0,Numbered [@I],
          IncrementedBy Use, Announced)
@Counter(Chapter,TitleEnv HD1,ContentsEnv tc1,Numbered [@1.],
          IncrementedBy Use,Referenced [@1],Announced)
@Counter(Appendix,TitleEnv HD1,ContentsEnv tc1,Numbered [@I.],
         ContentsForm "@Tc1(Appendix @parm(referenced). @rfstr(@parm(page))@parm(Title))",
         TitleForm "@Hd1(@=Appendix @parm(referenced)@*@=@Parm(Title))",
          IncrementedBy,Referenced [@I],Announced,Alias Chapter)
@Counter(UnNumbered,TitleEnv HD1,ContentsEnv tc1,Announced,Alias Chapter)
@Counter(Section,Within Chapter,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(AppendixSection,Within Appendix,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(SubSection,Within Section,TitleEnv HD3,ContentsEnv tc3,
          Numbered [@#@:.@1.],IncrementedBy Use,Referenced [@#@:.@1])
@Counter(Paragraph,Within SubSection,TitleEnv HD4,ContentsEnv tc4,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use)
@Counter(PrefaceSection,TitleEnv HD1A,Alias Chapter)
@Define(IndexEnv,Break,CRBreak,Fill,BlankLines Kept,Font BodyFont,Size 8,
        FaceCode R,Spread 0,Spacing 1,Spaces Kept,LeftMargin 18,Indent -8)

@LibraryFile(Figures)
@LibraryFile(Math)
@LibraryFile(TitlePage)

@Modify(EquationCounter,Within Chapter)
@Modify(TheoremCounter,Within Chapter)

@Equate(Sec=Section,Subsec=SubSection,Para=Paragraph,
        SubSubSec=Paragraph)
@Begin(Text,Indent 1Quad,LeftMargin 1inch,TopMargin 1inch,BottomMargin 1inch,
        LineWidth 6.5inches,
        Use BodyStyle,Justification,FaceCode R,Spaces Compact)
@Set(Page=0)
@PageHeading(Even,Left "@value(Page)")
@PageHeading(Odd,Right "@value(Page)")
@Marker(Make,TManual)
@Define(BodyStyle,Spacing 2)
@Define(TitleStyle,Spacing 1)
@Define(NoteStyle,Spacing 1)

@Enable(Outline,Index,Contents)
@String(ContentsPage='1')
@Send(Contents "@NewPage(0)@Set(Page=ContentsPage)@Style(PageNumber <@i>)")
@Send(Contents "@PrefaceSection(Table of Contents)")
@send(#Index    "@UnNumbered(Index)",
      #Index    "@Begin(IndexEnv)")
@SendEnd(#Index "@End(IndexEnv)")

@Define (HDX,Hyphenation off,
        LeftMargin 0,RightMargin 0,Indent 0,Fill,Spaces compact,
        Above 2,Below 0,break,need 4,Justification Off)
@Define (Hd0,Use HdX,Above 1inch,Below 0.5inch,Use B)
@Define(Hd1,Use HdX,Below 1,PageBreak UntilOdd,Use B,Capitalized)
@Define(HD1A=HD1,Capitalized off)
@Define(Hd2,Use HdX,Above 3,Below 1,Use B)
@Define(Hd3,Use HdX,Use B)
@Define(Hd4,Use HdX,Use B)
@Define(TcX,LeftMargin 5,Indent -5,RightMargin 5,Fill,Spaces compact,
        Above 0,Spacing 1,Below 0,Break,Spread 0,Justification off)
@Define(Tc0=TcX,Use B)
@Define(Tc1=TcX,Above 1,Below 1,Use b,Need 1inch)
@Define(Tc2=TcX,LeftMargin 10)
@Define(Tc3=TcX,LeftMargin 15)
@Define(Tc4=TcX,LeftMargin 20)
@Counter(MajorPart,TitleEnv HD0,ContentsEnv tc0,Numbered [@I],
          IncrementedBy Use,Announced)
@Counter(Chapter,TitleEnv HD1,ContentsEnv tc1,Numbered [@1.],
        TitleForm "@begin(Hd1)@=Chapter @parm(referenced)@*@=@Parm(Title)@end(Hd1)",
          IncrementedBy Use,Referenced [@1],Announced)
@Counter(Appendix,TitleEnv HD1,ContentsEnv tc1,Numbered [@I.],
          IncrementedBy,Referenced [@I],Announced,Alias Chapter)
@Counter(UnNumbered,TitleEnv HD1,ContentsEnv tc1,Announced,Alias Chapter)
@Counter(Section,Within Chapter,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(AppendixSection,Within Appendix,TitleEnv HD2,ContentsEnv tc2,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use,Announced)
@Counter(SubSection,Within Section,TitleEnv HD3,ContentsEnv tc3,
          Numbered [@#@:.@1.],IncrementedBy Use,Referenced [@#@:.@1])
@Counter(Paragraph,Within SubSection,TitleEnv HD4,ContentsEnv tc4,
          Numbered [@#@:.@1.],Referenced [@#@:.@1],IncrementedBy Use)

@Counter(PrefaceSection,TitleEnv HD1A,Alias Chapter)
@Define(IndexEnv,Break,CRBreak,Fill,BlankLines Kept,
        Spread 0,Spacing 1,Spaces Kept,LeftMargin 18,Indent -8)

@LibraryFile(Figures)
@LibraryFile(Math)
@LibraryFile(TitlePage)

@Modify(EquationCounter,Within Chapter)
@Modify(TheoremCounter,Within Chapter)

@Equate(Sec=Section,Subsec=SubSection,Chap=Chapter,Para=Paragraph,
        SubSubSec=Paragraph,AppendixSec=AppendixSection)
@Begin(Text,Indent 2,Spread 1,Use BodyStyle,LineWidth 7.5inches,
        Spaces Compact,
        Justification,Font CharDef,FaceCode R)
@set(page=0)


@PageHeading(Even,Left "@value(Page)")
@PageHeading(Odd,Right "@value(Page)")
@Marker(Make,Changelog)
@Comment[
15 Jan 81   MIS   Removed @Style(Doublesided,BindingMargin 0.3in)
                  from defs for device file, where such specifications
                  are insane.
08 Feb 81   MIS   Removed @Style(DoubleSided,BindingMargin 0.3 in)
                  from defs for all devices with LeftMargin 0.
10 Feb 81   MIS   Removed XGP defs
22 Mar 81   JMA   Added X9700TempTOC and DEV to capitalize headings
                  until typecase files are added to the 9700.
26 Mar 81   MIS   Added ReGIS entry
15 Dec 81   JMA   Removed X9700TempTOC and DEV now that typecases
                  are working.
 7 Jan 82   JMA   Removed the second (and misspelled) hyphenation off
                  declaration from  HDX for REGIS
 7 Jan 82   JMA   Added entry for GSI.
]
